Bug 961790 - Fedora19:Alpha: RAID configuration options not available during installation
Fedora19:Alpha: RAID configuration options not available during installation
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
ppc64 All
unspecified Severity urgent
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 08:08 EDT by IBM Bug Proxy
Modified: 2013-06-26 18:22 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-26 18:22:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
f19-screen1.png (87.27 KB, image/png)
2013-05-10 08:08 EDT, IBM Bug Proxy
no flags Details
f19-screen2.png (71.54 KB, image/png)
2013-05-10 08:08 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 92943 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-05-10 08:08:09 EDT
Problem Description 
---------------------------------
There is no options available to configure RAID during F19 alpha ppc64 installation on P7 h/w. I don't find specific RAID related information on release notes. Raising this issue to get it clarified on RAID support for f19.


== Comment: # - MANAS K. NAYAK <maknayak@in.ibm.com> -  ==
(In reply to comment #1)
> Im not sure what this bug report is for.  If you have two disks available in
> a system, select them both, then review your partitioning, the RAID options
> are clearly present.

Hello Brent,
I was trying to configure RAID and did not see RAID option in 1st place where we choose partitioning scheme (see attached screenshot named f19-scren1.png).
I had selected 4 disks and selected custom partitioning , there I could see RAID but could not configure it . As it always give error saying RAID need more than one device.
I am sure how to configure RAID there. I do not see any documentation from release notes as well related to RAID. 
Even if in GUI help during installation does not show up any help information related to RAID configuration. Hence this bug got popped up.


== Comment: # - Brent J. Baude <baude@us.ibm.com> -  ==
did you try the custom partitioning? i believe that is where I found it

== Comment: # - MANAS K. NAYAK <maknayak@in.ibm.com> - 2013-05-09 03:09:02 ==
(In reply to comment #6)
> did you try the custom partitioning? i believe that is where I found it
Brent,
Yes , I am able to see that in custom partitioning screen .

== Comment: # - MANAS K. NAYAK <maknayak@in.ibm.com> -  ==
Hi Brent,
Even if I get the RAID option in custom partition, I feel F19 new UI does not have reasonable way to handle RAID during installation time.

I was looking for below things related to RAID in F19 UI :

1) Documentation for RAID usability on this new UI of F19 , it should have in release note , but I did not find that. This RAID info should be in help file too during installation.

2) RAID option could have available well before the custom partitioning (say in partitioning scheme in 1st place ) 

3) As an user prospective ,  I was thinking to configure RAID as below :
	- select three disks , then configure RAID on that
	- Then configure LVM and format , assign file systems for each mount points.
	- And then install OS on that.
   
I am not sure how can I do that from this F19 new UI. There is no such option or way to do above scenario.
Comment 1 IBM Bug Proxy 2013-05-10 08:08:21 EDT
Created attachment 746135 [details]
f19-screen1.png
Comment 2 IBM Bug Proxy 2013-05-10 08:08:29 EDT
Created attachment 746136 [details]
f19-screen2.png
Comment 3 Brian Lane 2013-05-10 19:52:11 EDT
Please retest with Beta-TC4, RAID support has been added.
Comment 4 IBM Bug Proxy 2013-06-04 08:53:21 EDT
------- Comment From maknayak@in.ibm.com 2013-06-04 12:49 EDT-------
(In reply to comment #12)
> Please retest with Beta-TC4, RAID support has been added.

Verified with F19 beta ppc64, it has RAID suport now.
We can close the bug.

Thanks...
Manas

Note You need to log in before you can comment on or make changes to this bug.